/*
 * Copyright (c) 2018-2999 广州亚米信息科技有限公司 All rights reserved.
 *
 * https://www.gz-yami.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.yami.shop.security.comment.enums;

import com.google.common.collect.Lists;
import com.yami.shop.common.exception.GlobalException;
import com.yami.shop.common.exception.YamiShopBindException;

import java.util.List;

public enum App {

	/**
	 * 小程序
	 */
	MINI(1),

	/**
	 * 微信公众号
	 */
	MP(2),

	/**
	 * pc登陆
	 */
	PC(3),

	/**
	 * h5登陆
	 */
	H5(4),

	/**
	 * 安卓登陆
	 */
	ANDROID(5),

	/**
	 * ios登陆
	 */
	IOS(6),

	;

	private Integer num;

	public Integer value() {
		return num;
	}

	App(Integer num){
		this.num = num;
	}

	public static App instance(Integer value) {
		App[] enums = values();
		for (App statusEnum : enums) {
			if (statusEnum.value().equals(value)) {
				return statusEnum;
			}
		}
		throw new GlobalException("无法获取app信息");
	}

	public static List<Integer> listAppType() {
		List<Integer> list = Lists.newArrayList();
		App[] values = App.values();
		for (App value : values) {
			list.add(value.value());
		}
		return list;
	}
}
